<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteRegistrationsMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteRegistrations">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="uid" column="uid" jdbcType="BIGINT"/>
            <result property="eventId" column="event_id" jdbcType="BIGINT"/>
            <result property="locationId" column="location_id" jdbcType="BIGINT"/>
        <result property="workSettingsId" column="work_settings_id" jdbcType="INTEGER"/>
            <result property="userInfo" column="user_info" jdbcType="CHAR"/>
            <result property="status" column="status" jdbcType="CHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="sex" column="sex" jdbcType="VARCHAR"/>
            <result property="phone" column="phone" jdbcType="VARCHAR"/>
            <result property="post" column="post" jdbcType="VARCHAR"/>
        <result property="professional" column="post" jdbcType="VARCHAR"/>
        <result property="ifBackbone" column="if_backbone" jdbcType="VARCHAR"/>
        <result property="certificateNumber" column="certificate_number" jdbcType="VARCHAR"/>
        <result property="provinceId" column="province_id" jdbcType="VARCHAR"/>
        <result property="cityId" column="city_id" jdbcType="VARCHAR"/>
        <result property="districtId" column="district_id" jdbcType="VARCHAR"/>
        <result property="belongRegion" column="belong_region" jdbcType="VARCHAR"/>
        <result property="isDeleted" column="is_deleted" jdbcType="CHAR"/>
        <result property="createById" column="create_by_id" jdbcType="BIGINT"/>
        <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
        <result property="updateById" column="update_by_id" jdbcType="BIGINT"/>
        <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
        <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
    </resultMap>
</mapper>
